import { createApp } from "vue";
import "./assets/css/normalize.css";
import "./assets/css/style.css";
import ElementPlus from "element-plus";
import zhCn from "element-plus/es/locale/lang/zh-cn";
import "element-plus/dist/index.css";
import "animate.css";
import "bootstrap-icons/font/bootstrap-icons.css";
import App from "./App.vue";
import router from "@/router/router.ts";
import { config } from "md-editor-v3";

config({
  markdownItPlugins(plugins) {
    return plugins.map((item) => {
      if (item.type === "taskList") {
        return { ...item, options: { ...item.options, enabled: true } };
      }
      return item;
    });
  },
});

createApp(App).use(ElementPlus, { locale: zhCn }).use(router).mount("#app");
